haxe install 2.08 on XP

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

haxe install 2.08 on XP

go2ghana
Hi - just tried to update haXe on my XP box  from 2.07 but fails with:


ERROR = [file_open,C:\Programme/Motion-Twin/neko/gc.dll]

Called from neko/io/File.hx line 54
Called from tools/hxinst/Main.hx line 346
Called from tools/hxinst/Main.hx line 266
Called from tools/hxinst/Main.hx line 91

Cordially,
Axel


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: haxe install 2.08 on XP

Nicolas Cannasse
Le 13/10/2011 07:37, Axel Huizinga a écrit :
> Hi - just tried to update haXe on my XP box from 2.07 but fails with:
>
>
> ERROR = [file_open,C:\Programme/Motion-Twin/neko/gc.dll]
>
> Called from neko/io/File.hx line 54
> Called from tools/hxinst/Main.hx line 346
> Called from tools/hxinst/Main.hx line 266
> Called from tools/hxinst/Main.hx line 91

Seems like you can't write gc.dll : make sure that you don't have any
neko application running (such as Apache with mod_neko) and try to run
the installer with administrative privileges.

I think we really need a new installer :)

Best,
Nicolas


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: haxe install 2.08 on XP

singmajesty
If we can get static builds of Neko + NME, I think we'll have a whole new  
world open to us for installers (especially using -resources to embed  
resources directly)



On Thu, 13 Oct 2011 01:02:11 -0700, Nicolas Cannasse  
<[hidden email]> wrote:

> Le 13/10/2011 07:37, Axel Huizinga a écrit :
>> Hi - just tried to update haXe on my XP box from 2.07 but fails with:
>>
>>
>> ERROR = [file_open,C:\Programme/Motion-Twin/neko/gc.dll]
>>
>> Called from neko/io/File.hx line 54
>> Called from tools/hxinst/Main.hx line 346
>> Called from tools/hxinst/Main.hx line 266
>> Called from tools/hxinst/Main.hx line 91
>
> Seems like you can't write gc.dll : make sure that you don't have any  
> neko application running (such as Apache with mod_neko) and try to run  
> the installer with administrative privileges.
>
> I think we really need a new installer :)
>
> Best,
> Nicolas
>

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: haxe install 2.08 on XP

go2ghana
In reply to this post by Nicolas Cannasse
Am 13.10.2011 10:02, schrieb Nicolas Cannasse:

> Le 13/10/2011 07:37, Axel Huizinga a écrit :
>> Hi - just tried to update haXe on my XP box from 2.07 but fails with:
>>
>>
>> ERROR = [file_open,C:\Programme/Motion-Twin/neko/gc.dll]
>>
>> Called from neko/io/File.hx line 54
>> Called from tools/hxinst/Main.hx line 346
>> Called from tools/hxinst/Main.hx line 266
>> Called from tools/hxinst/Main.hx line 91
>
> Seems like you can't write gc.dll : make sure that you don't have any
> neko application running (such as Apache with mod_neko) and try to run
> the installer with administrative privileges.
>
> I think we really need a new installer :)
>
> Best,
> Nicolas
>
>
I have only one user on my box with admin rights - but window is tricky
- no neko or mod_neko running  - the reason must be elsewhere
- could not move the gc.dll to trash too but was able to rename motion
twin folder ???
then install went fine and I copied back the lib folder after - hope
there will be no unwanted sideeffects...


--
haXe - an open source web programming language
http://haxe.org